
use strict;
use warnings;

use 5.010000;

use ExtUtils::MakeMaker 6.17;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Provide MongoDB connections, databases and collections",
  "AUTHOR" => "David Golden <dagolden\@cpan.org>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.17"
  },
  "DISTNAME" => "MooseX-Role-MongoDB",
  "EXE_FILES" => [],
  "LICENSE" => "apache",
  "NAME" => "MooseX::Role::MongoDB",
  "PREREQ_PM" => {
    "Carp" => 0,
    "MongoDB::MongoClient" => "0.702",
    "Moose::Role" => 2,
    "MooseX::AttributeShortcuts" => 0,
    "Socket" => "1.96",
    "String::Flogger" => 0,
    "Type::Params" => 0,
    "Types::Standard" => 0,
    "namespace::autoclean" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::Spec::Functions" => 0,
    "List::Util" => 0,
    "Log::Any::Adapter" => 0,
    "Moose" => 0,
    "MooseX::Role::Logger" => 0,
    "Parallel::Iterator" => 0,
    "Test::FailWarnings" => 0,
    "Test::More" => "0.96",
    "Test::Requires" => 0
  },
  "VERSION" => "0.005",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::Spec::Functions" => 0,
  "List::Util" => 0,
  "Log::Any::Adapter" => 0,
  "MongoDB::MongoClient" => "0.702",
  "Moose" => 0,
  "Moose::Role" => 2,
  "MooseX::AttributeShortcuts" => 0,
  "MooseX::Role::Logger" => 0,
  "Parallel::Iterator" => 0,
  "Socket" => "1.96",
  "String::Flogger" => 0,
  "Test::FailWarnings" => 0,
  "Test::More" => "0.96",
  "Test::Requires" => 0,
  "Type::Params" => 0,
  "Types::Standard" => 0,
  "namespace::autoclean" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



